WordPress.org

Ready to get started?Download WordPress

Forums

NextGEN Gallery
[resolved] Page Refreshes / Request URI Too Large (40 posts)

  1. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    This thread is referring to the error of the screen to add images to a gallery appearing but auto-refreshes repeatedly until you see the following error:
    ---
    Request-URI Too Large
    The requested URL's length exceeds the capacity limit for this server.

    ---
    If you are experiencing this error, please detail the below needed information + temp. login information in a Bug Report to us here. Thanks!

    - WordPress up to date?
    - NextGEN up to date?

    (please confirm the following, with your server host tech) :
    - MySQL up to date (5.2.4)?
    - PHP up to date (5.0)?
    - The mod_rewrite Apache module activated?
    - PHP Safe Mode OFF?

    and if you're willing to share:
    - Who are you hosted with?
    - What theme are you running?
    - Which plugins do you have installed and activated?
    - Does this error still occur if you switch your theme to the WP default, and deactivate all plugins except NextGEN Gallery? (*be sure to clear your browser cache and reload your site after deactivating)

    We will likely have a fix for this in our next upgrade, but to be sure we do - we'll need as much information as possible from those of you who are experiencing this bug.

    *Please do not post unrelated issues in this thread. This thread is specifically for the error 'Request URI Too Large.

    Thanks!

    http://wordpress.org/extend/plugins/nextgen-gallery/

  2. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    This issue should be resolved in our most recent upgrade v1.9.11 now available for download and install!

  3. mard_i
    Member
    Posted 1 year ago #

    This problem is not resolved with this upgrade! It create it!
    This problems occurs with Chrome, but not with Opera, Firefox or Safari!

  4. robsdigiphos
    Member
    Posted 1 year ago #

    This is still an issue for me as well, even with the most recent update.

    When I go to the Manage Gallery tab the url keep appending skipjs[1...n] until it eventually crashes.

    I'm using Google Chrome as a browser.

  5. acesabre
    Member
    Posted 1 year ago #

    That's right, I'm using even nextgen 1.9.11 beta and have the same problem as robsdigiphos. It happens under Chrome, Firefox and Opera all latest version, but my primary browser is Chrome.

  6. lilatovcocktail
    Member
    Posted 1 year ago #

    Yes, my problem also BEGAN today, my upgrade to NGG 1.9.11. I too use Chrome as my primary browser.

  7. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    Thank you for the feedback everyone :)

    NextGEN Gallery is detecting a jQuery library collision and therefore trying to auto-resolve, which sometimes doesn't work. To help us with this process, could you please send us a list of all activated plugins you have installed as well as which theme you have activated in a bug report here. Please also include as much information from our list of questions in our original post above. The more information, the better. What also greatly helps our developers resolve this is to receive temporary login information to your site (please do not post those login details here in the forum, instead include that information in your bug report which is sent directly to our developers). Thanks!

    In the mean time, you can try disabling our collision detection by adding the following line to your wp-config.php file, above where it says /* That's all, stop editing! Happy blogging. */

    define(‘NGG_JQUERY_CONFLICT_D​ETECTION’, false)

  8. acesabre
    Member
    Posted 1 year ago #

    @photocrati

    It's not working as it probably should I think, because adding it above where it says /* That's all, stop editing! Happy blogging. */ in wp-config.php cause in Opera blank page, under Chrome Error 500

    If You need, I think I can give you an access to my website so you can check that :)

  9. Nullmind
    Member
    Posted 1 year ago #

    Same problem to me after updating to 1.9.11. I've added the line you suggest in wp-config but the problem is still here.

  10. lassodmoon
    Member
    Posted 1 year ago #

    also having the same issue, which started today as well after updating. only installed plugins are akismet, gravity forms and quick cache (installed after the issues started).

    galleries were also not working correctly. Some images would load, others would not.

  11. xeo1314
    Member
    Posted 1 year ago #

    Also having the same problem after upgrading to the latest version. Is there yet an update?

  12. lilatovcocktail
    Member
    Posted 1 year ago #

    No word on an update yet. I don't know about others but adding

    define(‘NGG_JQUERY_CONFLICT_D​ETECTION’, false)

    to my wp-config.php file broke my theme. :-C

  13. Wil
    Member
    Posted 1 year ago #

    Version 1.9.11 does the same thing with our site too.

    Reverting back to previous version.

    @lilatovcocktail make sure you have a semicolon at the end of the line otherwise it will break your site.

    define(‘NGG_JQUERY_CONFLICT_D​ETECTION’, false);

    However, that fix didn't work on my site.

  14. sahil1802
    Member
    Posted 1 year ago #

    No fix for this yet I believe??

  15. lilatovcocktail
    Member
    Posted 1 year ago #

    thanks, @lime canvas. I did have the semicolon; I just lost it in the posting. I'm also reverting to the previous version. Tomorrow.

  16. sahil1802
    Member
    Posted 1 year ago #

    You can disable conflict detection by changing TRUE to FALSE in nextgen-gallery > admin > admin.php line 60.

    if (!defined('NGG_JQUERY_CONFLICT_DETECTION')) {
    				define('NGG_JQUERY_CONFLICT_DETECTION', FALSE);
    			}
  17. astrasuite
    Member
    Posted 1 year ago #

    DArn, I should have looked here first before upgrading Nextgen ...

    I have the same problem too. Everything was fine before ...

    Photocrati, can you not just make it an option for us to choose if we want nextgen to detect js conflicts or not ? At least we can disable it if we don't want it.

    Thanks ... in the meantime reverting back to perfect old Nextgen :)

  18. nctech2012
    Member
    Posted 1 year ago #

    Hi can someone share where to download the previous version? I assume I would just dump the files into the plugin directory?

  19. Wil
    Member
    Posted 1 year ago #

    Go to the developers tab and you can download previous versions as a zip then upload.

    Wil.

  20. acesabre
    Member
    Posted 1 year ago #

    what @sahil1802 suggest didn't work on my site, can't add images to gallery or upload images, it gives me a blank page

  21. astrasuite
    Member
    Posted 1 year ago #

    Well, just got the latest update from Nextgen, hope it works now ...

  22. lilatovcocktail
    Member
    Posted 1 year ago #

    Where did you get the latest Nextgen update?

  23. lilatovcocktail
    Member
    Posted 1 year ago #

    @sahil, did disabling the conflict detection by changing TRUE to FALSE in nextgen-gallery > admin > admin.php line 60 fix the problem for you?

    if (!defined('NGG_JQUERY_CONFLICT_DETECTION')) {
    define('NGG_JQUERY_CONFLICT_DETECTION', FALSE);}

  24. astrasuite
    Member
    Posted 1 year ago #

    @lilatovcocktail, Version 1.9.12
    Fixed: jQuery Conflict Detection was trying to dequeue irremovable scripts

    Just click on "Check Again" under WordPress Updates in your dashboard

  25. lilatovcocktail
    Member
    Posted 1 year ago #

    Fixed! Thanks for the heads up @astrasuite.

  26. acesabre
    Member
    Posted 1 year ago #

    I update my nextgen to 1.9.12 and have this

    if (!defined('NGG_JQUERY_CONFLICT_DETECTION')) {
    define('NGG_JQUERY_CONFLICT_DETECTION', FALSE);}

    in nextgen-gallery > admin > admin.php and adding the following to wp-config.php file, above the line that says “/* That’s all, stop editing! Happy blogging. */:

    define(‘NGG_JQUERY_CONFLICT_DETECTION’, false);

    and still got a blank page when trying to add a gallery

  27. lilatovcocktail
    Member
    Posted 1 year ago #

    I'm just guessing, but I think your additions to admin.php ares interfering with or countermanding the changes that were made to fix the problem in 1.9.12.

    Try returning to the unedited admin.php and then applying the upgrade. The upgrade fixed the problem completely for me.

  28. acesabre
    Member
    Posted 1 year ago #

    Ok, I back to the original admin.php but the problem still occur - got blank page when try to add a gallery :(

  29. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    Just to confirm and reiterate what has previously been said - v1.9.12 should fix this issue.

    @acesabre, I would suggest that you return all edited files to their original state. Then via FTP refresh your plugins files with a fresh downloaded copy of v1.9.12 of the plugin. Refreshing the Theme files directly should do the trick.

  30. acesabre
    Member
    Posted 1 year ago #

    @photocrati, I revert back all edited files to its original state, even the wp-config.php. I downloaded a fresh copy from wordpress site and put it via ftp to the server, one fixed but have another as I described in thread http://wordpress.org/support/topic/unable-to-create-new-gallery-or-upload-images-as-of-v1910-wp-35, also send to you a bug report with temp. login information. Did you use it ?

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic